Support » Fixing WordPress » Widgets not drag or drop after update to 3.8

  • Hello, after updting to 3.8 version (but even to 3.7) my widget area does not work. From source in js debug mode I can see is a problem related to jquery-ui and jquery migrate, giving thiose error:
    Uncaught TypeError: Object function (e,t){return new x.fn.init(e,t,r)} has no method ‘curCSS’ jquery.ui.core.min.js:13
    (anonymous function) jquery.ui.core.min.js:13
    x.extend.each load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    d jquery.ui.core.min.js:13
    (anonymous function) jquery.ui.core.min.js:15
    x.extend.each load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    x.fn.x.each load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    c.fn.(anonymous function) jquery.ui.core.min.js:14
    (anonymous function) load-scripts.php?c=1&load%5B%5D=hoverIntent,common,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,…:6
    (anonymous function) load-scripts.php?c=1&load%5B%5D=hoverIntent,common,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,…:6
    Uncaught TypeError: Object [object Object] has no method ‘sortable’ widgets.php:221
    (anonymous function) widgets.php:221
    c load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    p.fireWith load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    x.extend.ready load-scripts.php?c=1&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.8:3
    q

    Please Help!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Thread Starter marcie73

    (@marcie73)

    forgetting to say that the problem must be related to the theme I’m using since I’m managing other wordpress sites and this problem di not not occurred in those. I also tried to deactivate all plugins but nothing has changed. Many thnks

    Hi,

    I have the same problem.
    The problem occurs only when installed on hosts.
    I can’t reproduce the error on local installation.

    Hopping one can help.

    See also this post
    http://wordpress.org/support/topic/cannot-select-media-type?replies=2

    Thread Starter marcie73

    (@marcie73)

    I solved it somehow. It was not a plugin problem. For some reasons admin jquerui-ui is not showing in the header ad I had to register it and enqued it in my functions.php. So load-scripts.php can find and load method “sortable” and so on.
    So this is the code I used:

    <?php
    function add_admin_jqueryui() {
    	if (is_admin()) {
    	wp_register_script('jqueryUi', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js');
    	wp_enqueue_script('jqueryUi');
      }
    }
    add_action('init', 'add_admin_jqueryui');
    ?>

    Thanks for your solution.

    So it seems to be a bug.
    I’ll open a bug.

    Thread Starter marcie73

    (@marcie73)

    It’is a bug occuring with the theme I”m using (4 years old, never updated), If I switch to default wp themes, the error is gone. Other people found it to be related with a plugin installed, as soon as it was deactived the error was gone. So it is hard to tell. I found another solution, that seems to work better but I don’t know if it is a bad thing or not. I removed script concatenation managed by load-script.php, I deregistered local version of jquery e registered a CDN one.

    function add_admin_jquery() {
    	if (is_admin()) {
    	wp_deregister_script('jquery');
    
    	wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js', FALSE, '1.10.2', FALSE);
    
      }
    }
    
    add_action('admin_enqueue_scripts', 'add_admin_jquery');

    Hope can help someone else.

    Thread Starter marcie73

    (@marcie73)

    SORRY THE CODE IS THIS ONE 😛 (Jesus too many files open!)

    <?php
    add_action( 'admin_init', 'jquery_admin' );
    
    function jquery_admin() {
    
        global $concatenate_scripts;
    
        $concatenate_scripts = false;
        wp_deregister_script( 'jquery' );
        wp_register_script( 'jquery', ( 'http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js' ), false, '1.10.2', true );
    }
    ?>

    Hi,

    I don’t think that this is a theme bug.
    I have the problem in the admin area.
    So I opened a ticket

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Widgets not drag or drop after update to 3.8’ is closed to new replies.